| OpenCV 4.3.0 Open Source Computer Vision

Functions
Eigen support
Core functionality

## Functions
template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>
static void | cv::cv2eigen (const Mat &src, Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > &dst)
template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>
static void | cv::cv2eigen (const Matx< _Tp, _rows, _cols > &src, Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > &dst)
template<typename _Tp >
static void | cv::cv2eigen (const Mat &src, Eigen::Matrix< _Tp, Eigen::Dynamic, Eigen::Dynamic > &dst)
template<typename _Tp , int _rows, int _cols>
static void | cv::cv2eigen (const Matx< _Tp, _rows, _cols > &src, Eigen::Matrix< _Tp, Eigen::Dynamic, Eigen::Dynamic > &dst)
template<typename _Tp >
static void | cv::cv2eigen (const Mat &src, Eigen::Matrix< _Tp, Eigen::Dynamic, 1 > &dst)
template<typename _Tp , int _rows>
static void | cv::cv2eigen (const Matx< _Tp, _rows, 1 > &src, Eigen::Matrix< _Tp, Eigen::Dynamic, 1 > &dst)
template<typename _Tp >
static void | cv::cv2eigen (const Mat &src, Eigen::Matrix< _Tp, 1, Eigen::Dynamic > &dst)
template<typename _Tp , int _cols>
static void | cv::cv2eigen (const Matx< _Tp, 1, _cols > &src, Eigen::Matrix< _Tp, 1, Eigen::Dynamic > &dst)
template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>
static void | cv::eigen2cv (const Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > &src, OutputArray dst)
template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>
static void | cv::eigen2cv (const Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > &src, Matx< _Tp, _rows, _cols > &dst)

## Detailed Description

## Function Documentation

## ◆ cv2eigen() [1/8]

template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>

static void cv::cv2eigen | ( | const Mat & | src,
|  | Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ cv2eigen() [2/8]

template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>

static void cv::cv2eigen | ( | const Matx< _Tp, _rows, _cols > & | src,
|  | Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ cv2eigen() [3/8]

template<typename _Tp >

static void cv::cv2eigen | ( | const Mat & | src,
|  | Eigen::Matrix< _Tp, Eigen::Dynamic, Eigen::Dynamic > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ cv2eigen() [4/8]

template<typename _Tp , int _rows, int _cols>

static void cv::cv2eigen | ( | const Matx< _Tp, _rows, _cols > & | src,
|  | Eigen::Matrix< _Tp, Eigen::Dynamic, Eigen::Dynamic > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ cv2eigen() [5/8]

template<typename _Tp >

static void cv::cv2eigen | ( | const Mat & | src,
|  | Eigen::Matrix< _Tp, Eigen::Dynamic, 1 > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ cv2eigen() [6/8]

template<typename _Tp , int _rows>

static void cv::cv2eigen | ( | const Matx< _Tp, _rows, 1 > & | src,
|  | Eigen::Matrix< _Tp, Eigen::Dynamic, 1 > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ cv2eigen() [7/8]

template<typename _Tp >

static void cv::cv2eigen | ( | const Mat & | src,
|  | Eigen::Matrix< _Tp, 1, Eigen::Dynamic > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ cv2eigen() [8/8]

template<typename _Tp , int _cols>

static void cv::cv2eigen | ( | const Matx< _Tp, 1, _cols > & | src,
|  | Eigen::Matrix< _Tp, 1, Eigen::Dynamic > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ eigen2cv() [1/2]

template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>

static void cv::eigen2cv | ( | const Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > & | src,
|  | OutputArray | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`

## ◆ eigen2cv() [2/2]

template<typename _Tp , int _rows, int _cols, int _options, int _maxRows, int _maxCols>

static void cv::eigen2cv | ( | const Eigen::Matrix< _Tp, _rows, _cols, _options, _maxRows, _maxCols > & | src,
|  | Matx< _Tp, _rows, _cols > & | dst
| ) |  |
| inline static

`#include <opencv2/core/eigen.hpp>`